Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
  1. Invoice
  • AmiliPay API Introduction
  • Industry Categories Reference
  • Webhooks Reference
  • Merchant
    • List all customers
      GET
    • Create customer
      POST
    • Retrieve customer
      GET
    • Update customer
      PUT
    • Create customer token
      POST
    • Retrieve pricing for a merchant
      GET
    • Update pricing for a merchant
      POST
    • List a customer's accepted agreements
      GET
  • User
    • List all users
      GET
    • Create user
      POST
    • Retrieve user
      GET
    • Update user
      PUT
    • Delete user
      DELETE
  • Onboarding
    • Create onboarding application
      POST
    • Retrieve onboarding application
      GET
    • Update onboarding application
      PUT
    • Delete onboarding application
      DELETE
    • Start processing onboarding
      POST
    • Delete onboarding shareholder
      DELETE
    • Create onboarding document
      POST
    • Retrieve onboarding document
      GET
    • Delete onboarding document
      DELETE
    • Retrieve available account agreements
      GET
    • Create onboarding agreement
      POST
    • Mark selected agreement as an accepted by the account
      POST
    • Retrieve a single agreement
      GET
    • Update onboarding agreement
      PUT
    • Deactivate agreement
      DELETE
  • Invoice
    • List all invoices
      GET
    • Create invoice
      POST
    • Retrieve invoice
      GET
    • Update invoice
      PUT
    • Delete invoice
      DELETE
    • Refund invoice
      POST
  • Transactions
    • Get invoice transactions
  • Payout
    • List all payouts
    • Retrieve payout
    • Retrieve payout details
  • Product lines classification
    • Upload a CSV file
    • Manually get processed CSV file path
    • Download a previously uploaded CSV file
  1. Invoice

Retrieve invoice

GET
/v1/invoices/{unique_id}
Returns a single invoice by unique_id. The response includes the invoice data and, when available, payment details such as card summary information.

Request

Authorization
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
or
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Path Params

Responses

🟢200
application/json
OK
Bodyapplication/json

🟠401
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/invoices/XdY5BQoZwwDeROmWL7NUfLa3B5XHcQr1vZf0uyr42mkB6wVzF1' \
--header 'X-API-KEY: <api-key>'
Response Response Example
200 - response
{
    "data": {
        "unique_id": "XdY5BQoZwwDeROmWL7NUfLa3B5XHcQr1vZf0uyr42mkB6wVzF1",
        "account_id": 1,
        "invoice_id": "10000",
        "amount": 12500,
        "customer_id": "51220",
        "customer_reference": "PO-88231",
        "name": "Jim Smith",
        "email": "jimsmith@example.com",
        "phone": "+37263256604",
        "currency": "NOK",
        "notify_customer": true,
        "reminded": false,
        "payment_method": null,
        "language": "no",
        "redirect_url": "https://www.customershop.com/controlpanel",
        "cancel_url": "https://google.com",
        "due_date": "2021-04-09T00:00:00",
        "last_payment_date": "2022-04-24T00:00:00",
        "paid_at": null,
        "created_at": "2021-03-29T09:32:25",
        "updated_at": "2021-03-29T09:39:39",
        "deleted_at": null,
        "deactivated_at": null,
        "refunded_at": null,
        "payment_url": "https://pay.amili.no/pay-invoice/XdY5BQoZwwDeROmWL7NUfLa3B5XHcQr1vZf0uyr42mkB6wVzF1",
        "details": {
            "cardSummary": "1234"
        }
    }
}
Modified at 2026-09-25 07:15:05
Previous
Create invoice
Next
Update invoice
Built with